summaryrefslogtreecommitdiff
path: root/scripts/clang-tidy.sh
diff options
context:
space:
mode:
Diffstat (limited to 'scripts/clang-tidy.sh')
-rwxr-xr-xscripts/clang-tidy.sh15
1 files changed, 14 insertions, 1 deletions
diff --git a/scripts/clang-tidy.sh b/scripts/clang-tidy.sh
index e6bb3794a2..cd61a5c48e 100755
--- a/scripts/clang-tidy.sh
+++ b/scripts/clang-tidy.sh
@@ -17,5 +17,18 @@ command -v ${CLANG_TIDY} >/dev/null 2>&1 || {
cd $1
+function check_tidy() {
+ OUTPUT=$(${CLANG_TIDY} $0 -p=. -header-filter='mbgl' 2>/dev/null)
+ if [[ -n $OUTPUT ]]; then
+ echo "Error: A clang-tidy warning/error happened:"
+ echo -e "$OUTPUT"
+ exit 1
+ fi
+}
+
+export CLANG_TIDY
+export -f check_tidy
+
+echo "Running clang-tidy checks... (this might take a while)"
git ls-files '../../../src/mbgl/*.cpp' '../../../platform/*.cpp' '../../../test/*.cpp' | \
- xargs -I{} -P ${JOBS} ${CLANG_TIDY} {} -p=. -header-filter='mbgl' || exit 1
+ xargs -I{} -P ${JOBS} bash -c 'check_tidy' {}